DeveloperAPI ReferenceLibraries
/api/libraries
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/libraries" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "mediaType": "string", "libraryPlugin": "string", "fsPlugin": "string" }'{
"library": {
"id": "string",
"name": "string",
"icon": "string",
"mediaType": "string",
"mediaTypeConfig": {
"episodic": true,
"seekable": true,
"idleProtection": true,
"queueStyle": "panel",
"autoplay": true,
"queueStrategy": "eager",
"shuffleStyle": "hidden",
"repeatStyle": "hidden"
},
"libraryPlugin": "string",
"fsPlugin": "string",
"indexerPlugin": "string",
"fsConfig": {
"property1": null,
"property2": null
},
"indexerConfig": {
"property1": null,
"property2": null
},
"settings": {
"property1": null,
"property2": null
},
"pipelinePlugins": {
"property1": {
"enabled": true
},
"property2": {
"enabled": true
}
},
"writeAccess": true,
"hidden": true,
"scanStatus": "string",
"lastScannedAt": "string",
"createdAt": "string",
"updatedAt": "string",
"itemCount": 0,
"totalSize": 0,
"totalDuration": 0,
"recentPosters": [
"string"
]
}
}{
"error": "string"
}{
"error": "string",
"conflicts": [
{
"path": "string",
"conflictingLibraryId": "string",
"conflictingLibraryName": "string",
"conflictingPath": "string",
"type": "exact"
}
]
}